Execute a SbQL query (event-scoped)
curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/insights/execute \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"query": "<string>",
"obfuscatePii": true,
"page": 123,
"limit": 123
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/insights/execute"
payload = {
"query": "<string>",
"obfuscatePii": True,
"page": 123,
"limit": 123
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', obfuscatePii: true, page: 123, limit: 123})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/insights/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Event — Reports & SbQL
Execute a SbQL query (event-scoped)
Execute a SbQL query scoped to a specific event. Requires the read:insights scope.
POST
/
v1
/
event
/
{eventId}
/
insights
/
execute
Execute a SbQL query (event-scoped)
Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
The event ID to scope the query to.
⌘I

